<template>
  <form >
    <input type="text" v-model="formlist.uname" placeholder="请输入用户名"/>
    <input type="password" v-model="formlist.paw" placeholder="请输入密码" />
    <button  @click="login()">登录</button>
  </form>
</template>

<script>
import { defineComponent } from 'vue'
import axios from 'axios'
import qs from 'qs';
export default defineComponent({
  setup() {
    const formlist = {
        uname:'',
        paw:'',
    }
    const login = () => {
      axios.post('/api/schoolCloud/publie/',  qs.stringify(formlist))
        .then(res => {
          console.log(res.data)
          const resul = res.data;
          if(resul.code == 0){
            console.log("登录");
          }
          // 根据返回的响应数据进行相应的操作
        }).catch(err => {
          console.log(err)
        })
    }

    return { login,formlist }
  }
})

</script>